do
    ---@class ClockManager
    ClockManager = {}

    function ClockManager:timer_start(timeout, callback)
        --local timer = CallbackTimer(timeout, callback)
        --self.clock:add_tick_event(timer)
        --timer.expired_event:subscribe(self.timer_kill)
        --return timer
        --timer = nil
    end

    function ClockManager.timer_kill(timer)
        ClockManager.clock:remove_tick_event(timer)
    end


    ---@param config table
    function ClockManager:init(config)
        config = config or {}
        self.period = config.period or 0.01

        self.clock = Clock(self.period):start()
        self.init = function(cls) return cls end
        return self
    end

    setmetatable(ClockManager, {
        __call =  ClockManager.init
    })
end